﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ObervableCollectionSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Person> context = this.DataContext as ObservableCollection<Person>;
            if (context == null)
                return;

            context.Add(new Person("New person"));
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(@$"
SelectedItem: {cboMain.SelectedItem}
SelectedValuePath: {cboMain.SelectedValuePath}
SelectedValue: {cboMain.SelectedValue}");
        }
    }
}
